Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

uninitialized constant ActionController (NameError) when running bundle console #275

Open
corroded opened this Issue · 0 comments

1 participant

@corroded

When trying to run bundle console, we get an error which traces back to authlogic:

eumir$ bundle console
/Users/eumir/.rvm/gems/ruby-1.8.7-p174@awetest/bundler/gems/authlogic-a087ad0cba3c/lib/authlogic/controller_adapters/rails_adapter.rb:52: uninitialized constant ActionController (NameError)
from /Users/eumir/.rvm/gems/ruby-1.8.7-p174@awetest/bundler/gems/authlogic-a087ad0cba3c/lib/authlogic.rb:62
from /Users/eumir/.rvm/gems/ruby-1.8.7-p174@global/gems/bundler-1.0.15/lib/bundler/runtime.rb:68:in require'
from /Users/eumir/.rvm/gems/ruby-1.8.7-p174@global/gems/bundler-1.0.15/lib/bundler/runtime.rb:68:in
require'
from /Users/eumir/.rvm/gems/ruby-1.8.7-p174@global/gems/bundler-1.0.15/lib/bundler/runtime.rb:66:in each'
from /Users/eumir/.rvm/gems/ruby-1.8.7-p174@global/gems/bundler-1.0.15/lib/bundler/runtime.rb:66:in
require'
from /Users/eumir/.rvm/gems/ruby-1.8.7-p174@global/gems/bundler-1.0.15/lib/bundler/runtime.rb:55:in each'
from /Users/eumir/.rvm/gems/ruby-1.8.7-p174@global/gems/bundler-1.0.15/lib/bundler/runtime.rb:55:in
require'
from /Users/eumir/.rvm/gems/ruby-1.8.7-p174@global/gems/bundler-1.0.15/lib/bundler.rb:120:in require'
from /Users/eumir/.rvm/gems/ruby-1.8.7-p174@global/gems/bundler-1.0.15/lib/bundler/cli.rb:432:in
console'
from /Users/eumir/.rvm/gems/ruby-1.8.7-p174@global/gems/bundler-1.0.15/lib/bundler/vendor/thor/task.rb:22:in send'
from /Users/eumir/.rvm/gems/ruby-1.8.7-p174@global/gems/bundler-1.0.15/lib/bundler/vendor/thor/task.rb:22:in
run'
from /Users/eumir/.rvm/gems/ruby-1.8.7-p174@global/gems/bundler-1.0.15/lib/bundler/vendor/thor/invocation.rb:118:in invoke_task'
from /Users/eumir/.rvm/gems/ruby-1.8.7-p174@global/gems/bundler-1.0.15/lib/bundler/vendor/thor.rb:246:in
dispatch'
from /Users/eumir/.rvm/gems/ruby-1.8.7-p174@global/gems/bundler-1.0.15/lib/bundler/vendor/thor/base.rb:389:in start'
from /Users/eumir/.rvm/gems/ruby-1.8.7-p174@global/gems/bundler-1.0.15/bin/bundle:13
from /Users/eumir/.rvm/gems/ruby-1.8.7-p174@global/bin/bundle:19:in
load'
from /Users/eumir/.rvm/gems/ruby-1.8.7-p174@global/bin/bundle:19

Authlogic version according to Gemfile.lock is:

GIT
remote: http://github.com/odorcicd/authlogic.git
revision: a087ad0
branch: rails3
specs:
authlogic (2.1.3)
activesupport

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.